diff --git a/src/utils/downloader.c b/src/utils/downloader.c
index a312f1489b..827d479a79 100644
--- a/src/utils/downloader.c
+++ b/src/utils/downloader.c
@@ -1765,9 +1765,11 @@ GF_DownloadManager *gf_dm_new(GF_Config *cfg)
 	}
 
 	dm->allow_offline_cache = GF_FALSE;
-	opt = gf_cfg_get_key(cfg, "Downloader", "AllowOfflineCache");
-	if (opt && !strcmp(opt, "yes") ) 
-		dm->allow_offline_cache = GF_TRUE;
+	if (cfg) {
+		opt = gf_cfg_get_key(cfg, "Downloader", "AllowOfflineCache");
+		if (opt && !strcmp(opt, "yes") ) 
+			dm->allow_offline_cache = GF_TRUE;
+	}
 
 	dm->head_timeout = 5000;
 	if (cfg) {
